/* 
Theme Name: Integration.team
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

body, main {
	overflow-x: clip;
}

.swiper { cursor: grab; }
.swiper:active { cursor: grabbing; }

/****************/
/*  TYPOGRAPHY  */
/****************/

.elementor-widget-text-editor .elementor-widget-container *:last-child {
	margin-bottom: 0;
}

b, strong {
    font-weight: bold;
}

.elementor-kit-4 a.elementor-button {
	color: #fff;
}

h1 { font-size: clamp(3rem, 2.7rem + 1.2vw, 3.75rem); }
h2 { font-size: clamp(1.75rem, 1.65rem + 0.4vw, 2rem); }

.elementor-widget-text-editor .elementor-widget-container ol,
.elementor-widget-text-editor .elementor-widget-container ul,
.elementor-widget-theme-post-content .elementor-widget-container ol,
.elementor-widget-theme-post-content .elementor-widget-container ul {
	margin-bottom: 1rem;
	padding-inline-start: 2em;
}
.elementor-widget-text-editor .elementor-widget-container ul,
.elementor-widget-theme-post-content > .elementor-widget-container ul {
	list-style: none;	
}
li::marker {
	color: var(--e-global-color-accent);
}
.elementor-widget-text-editor .elementor-widget-container ul li::before,
.elementor-widget-theme-post-content .elementor-widget-container ul li::before {
    content: "●";
    display: inline-block;
    width: 1ch;
    margin-left: -1.25em;
    margin-right: 0.75em;
    background: linear-gradient(45deg, var(--e-global-color-primary), var(--e-global-color-accent) 50%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.balance {
	text-wrap: balance;
}

.wp-block-code {
	padding: 1rem;
    background: lightgrey;
    border-radius: 4px;
}

.elementor-widget-image-box .elementor-image-box-title a::before {
    content: "";
    position: absolute;
    inset: 0;
}


/***********************/
/*  CONTENT CONTAINER  */
/***********************/
body:not(.elementor-page) .elementor-widget-theme-post-content {
    padding: 10px;
}
body:not(.elementor-page) .elementor-widget-theme-post-content .elementor-widget-container {
    padding: 10px;
    width: 100%;
    max-width: var(--content-width);
    margin: 0 auto;
}
body:not(.elementor-page) .elementor-widget-theme-post-content :is(h1, h2, h3, h4, h5, h6) {
    color: var(--e-global-color-primary);
    font-family: var(--e-global-typography-primary-font-family), Sans-serif;
    font-weight: var(--e-global-typography-primary-font-weight);
}
body:not(.elementor-page) .elementor-widget-theme-post-content :is(h1, h2, h3, h4, h5):not(:first-child) {
    margin-top: 1.5em;
}

/**************/
/*  GRADIENT  */
/**************/

.gradient-glow {
    position: relative;
    z-index: auto;
}
.gradient-glow:before, 
.gradient-glow:after {
    content: '';
    z-index: -1;
    position: absolute;
    inset: -0.25rem;
    background: linear-gradient(45deg, var(--e-global-color-primary ) 0%, var(--e-global-color-accent ) 50%);
    border-radius: 1.25rem;
    width: auto;
    height: auto;
}
.gradient-glow:after {
    filter: blur(3rem);
}

.gradient.elementor-widget-heading .elementor-heading-title,
.gradient.elementor-widget-icon .elementor-icon i::before,
.elementor-widget-icon-box .elementor-icon i::before {
	background: linear-gradient(45deg, var(--e-global-color-primary), var(--e-global-color-accent) 50%);
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}

.elementor-widget-loop-grid {
	isolation: isolate;
}


/*************/
/*  SHADOWS  */
/*************/

:root {
  --shadow-color: 0deg 0% 70%;
  --shadow-elevation-low:
    0.3px 0.5px 0.7px hsl(var(--shadow-color) / 0.26),
    0.4px 0.8px 1px -1.2px hsl(var(--shadow-color) / 0.26),
    0.9px 1.8px 2.3px -2.5px hsl(var(--shadow-color) / 0.26);
  --shadow-elevation-medium:
    0.3px 0.5px 0.7px hsl(var(--shadow-color) / 0.27),
    0.7px 1.5px 1.9px -0.8px hsl(var(--shadow-color) / 0.27),
    1.8px 3.6px 4.5px -1.7px hsl(var(--shadow-color) / 0.27),
    4.4px 8.8px 11.1px -2.5px hsl(var(--shadow-color) / 0.27);
  --shadow-elevation-high:
    0.3px 0.5px 0.7px hsl(var(--shadow-color) / 0.25),
    1.2px 2.3px 2.9px -0.4px hsl(var(--shadow-color) / 0.25),
    2.1px 4.2px 5.3px -0.7px hsl(var(--shadow-color) / 0.25),
    3.4px 6.8px 8.6px -1.1px hsl(var(--shadow-color) / 0.25),
    5.4px 10.8px 13.6px -1.4px hsl(var(--shadow-color) / 0.25),
    8.4px 16.8px 21.1px -1.8px hsl(var(--shadow-color) / 0.25),
    12.7px 25.5px 32px -2.1px hsl(var(--shadow-color) / 0.25),
	18.8px 37.5px 47.2px -2.5px hsl(var(--shadow-color) / 0.25);
	
	--card-shadow-color: 57 64 99;
	--card-shadow:
		0.25rem 0.25rem 0.5rem 0px rgb(var(--card-shadow-color) / 15%), 
		1rem 1rem 3rem 0px rgba(var(--card-shadow-color) / 15%);
}
.card-shadow.e-con, /* container */
.card-shadow.elementor-widget-icon-box .elementor-widget-container, /* icon-box */
.card-shadow.elementor-widget-image-box .elementor-widget-container /* image-box */
{
	box-shadow: var(--card-shadow);
}


.partner-card {
	cursor: pointer;
}
.partner-card:hover, .partner-card:focus-within {
	transform: translateY(-0.75rem);
}


/*****************/
/*  PLAYER CARDS */
/*****************/
.player-cards .elementor-grid {
    grid-template-columns: repeat(auto-fill, minmax(var(--card-width, 160px), 1fr)) !important;
    --card-border-radius: 1rem;
}
@media (min-width: 768px) {
    .player-cards .elementor-grid {
        --scale-factor: 1.35;
        --card-width: 240px;
        --card-border-radius: 1.25rem;
    }
}
@media (min-width: 1025px) {
    .player-cards .elementor-grid {
        --scale-factor: 1.65;
        --card-width: 280px;
        --card-border-radius: 1.75rem;
    }
}
.player-cards .elementor-grid:focus-within {
    --cursor: zoom-out;
}

.player-cards .e-loop-item {
    transition: 
        z-index 0s linear 0s,
        transform .3s ease .05s;
    transform-style: preserve-3d;
    cursor: var(--cursor, zoom-in);
}
.player-cards .e-loop-item .e-con-inner {
    perspective: 1000px;
    transform-style: preserve-3d;
}

.player-cards .e-loop-item .elementor-widget-image {
    border-radius: var(--card-border-radius);
}

.player-cards .e-loop-item .backface,
.player-cards .e-loop-item .frontface {
    transition: transform .5s ease;
    backface-visibility: hidden;
    filter: drop-shadow(0 .5rem 1rem rgba(0,0,0,0.15));
}

.player-cards .e-loop-item .backface {
    transform: rotateY(0deg);
    z-index: 2;
}
.player-cards .e-loop-item .frontface {
    transform: rotateY(180deg);
    z-index: 1;
}

.player-cards:not(:focus-within) .e-loop-item:hover,
.player-cards .e-loop-item:focus-within {
    transform: scale(var(--scale-factor, 1.15));
    z-index: 3;
}
.player-cards:not(:focus-within) .e-loop-item:hover .backface,
.player-cards .e-loop-item:focus-within .backface,
.player-cards .elementor-grid.reveal .e-loop-item .backface {
    transform: rotateY(180deg);
    z-index: 1;
}
.player-cards:not(:focus-within) .e-loop-item:hover .frontface,
.player-cards .e-loop-item:focus-within .frontface,
.player-cards .elementor-grid.reveal .e-loop-item .frontface {
    z-index: 3;
    transform: rotateY(360deg);
}

.player-cards .e-loop-item :focus-visible {
    outline: 1px dashed var(--e-global-color-accent);
    outline-offset: 0.5rem;
    border-radius: calc(var(--card-border-radius) - .5rem);
}


/*****************/
/*  SCROLL SNAP  */
/*****************/

.page-content .e-con .e-con {
    scroll-snap-align: none;	/* inner containers should not snap */
}
.scroll-skip {	/* Utility */
	scroll-snap-align: none;
}
.scroll-snap {	/* Utility */
	scroll-snap-align: start;
}

/***************/
/*  ANIMATION  */
/***************/

.hover, .hover-right {
	position: relative;
	transition: transform .3s ease;
}
.hover:hover, .hover:focus, .hover:focus-within {
	transform: translateY(-1rem);
}
.hover-right:hover, .hover-right:focus, .hover-right:focus-within {
	transform: translateX(1rem);
}


.menupop.hover { /* Elementor WP-admin bar class clash */
	transform: none !important;
}

.fadeInRight {
    animation-name: fadeInRight2 !important;
}
@keyframes fadeInRight2 {
    from {
        opacity: 0;
        transform: translate3d(50%,0,0)
    }
    to {
        opacity: 1;
        transform: none
    }
}

.fadeInLeft {
    animation-name: fadeInLeft2 !important;
}
@keyframes fadeInLeft2 {
    from {
        opacity: 0;
        transform: translate3d(-50%,0,0)
    }
    to {
        opacity: 1;
        transform: none
    }
}

.fadeInDown {
    animation-name: fadeInDown2 !important;
}
@keyframes fadeInDown2 {
    from {
        opacity: 0;
        transform: translate3d(0,-50%,0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

.fadeInUp {
    animation-name: fadeInUp2 !important;
}
@keyframes fadeInUp2 {
    from {
        opacity: 0;
        transform: translate3d(0,50%,0)
    }

    to {
        opacity: 1;
        transform: none
    }
}


/************/
/*  COOKIE  */
/************/

#moove_gdpr_cookie_info_bar {
    background-color: #000620 !important;
	overflow: hidden;
}
#moove_gdpr_cookie_info_bar::before {
	content: "";
    background-image: url("data:image/svg+xml,%3Csvg aria-hidden='true' focusable='false' data-prefix='fas' data-icon='cookie-bite' role='img' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512' class='svg-inline--fa fa-cookie-bite'%3E%3Cpath fill='white' d='M510.52 255.82c-69.97-.85-126.47-57.69-126.47-127.86-70.17 0-127-56.49-127.86-126.45-27.26-4.14-55.13.3-79.72 12.82l-69.13 35.22a132.221 132.221 0 0 0-57.79 57.81l-35.1 68.88a132.645 132.645 0 0 0-12.82 80.95l12.08 76.27a132.521 132.521 0 0 0 37.16 72.96l54.77 54.76a132.036 132.036 0 0 0 72.71 37.06l76.71 12.15c27.51 4.36 55.7-.11 80.53-12.76l69.13-35.21a132.273 132.273 0 0 0 57.79-57.81l35.1-68.88c12.56-24.64 17.01-52.58 12.91-79.91zM176 368c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm32-160c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm160 128c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z'%3E%3C/path%3E%3C/svg%3E");
    background-repeat: no-repeat;
    position: absolute;
    right: 0;
    bottom: 1rem;
    opacity: 0.1;
    width: 12rem;
    height: 12rem;
    pointer-events: none;
}
#moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content p, #moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content p a {
	line-height: 1.5 !important;
	font-weight: normal !important;
}

#moove_gdpr_cookie_modal {
	font-family: 'Ubuntu', sans-serif !important;
}
#moove_gdpr_cookie_modal .gdpr-nav-tab-title, #moove_gdpr_cookie_modal .tab-title, #moove_gdpr_cookie_modal button {
	font-family: 'Ubuntu', sans-serif !important;
	font-weight: bold !important;
	text-transform: uppercase !important;
}

@media screen and (min-width: 768px) {
	#moove_gdpr_cookie_info_bar {
    	border: 1px solid #fff !important;
    	border-radius: 1rem;
    	margin-bottom: 1rem !important;
    	left: 1rem !important;
    	width: 40% !important;
    	max-width: 500px !important;
	}
	#moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container {
		padding: 1.5rem !important;
	}
	#moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content {
    	align-items: start !important;
    	flex-direction: column !important;
	}
	#moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content .moove-gdpr-cookie-notice {
		margin-bottom: 1rem;
	}
	#moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content .moove-gdpr-button-holder {
		padding-left: 0 !important;
	}
	#moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content .moove-gdpr-button-holder button:first-child {
		margin-left: 0 !important;	
	}
}
